@echo off
echo;
echo;
echo;
echo;
echo;
echo;
echo;
rem
rem Make sure necessary files are present.
rem
if not exist files.zip goto nofile
if not exist unpack.exe goto needfile
if not exist pack.exe goto needfile
if not exist pkunzip.exe goto needpk
goto execute

:nofile
echo;
echo Couldn't locate files.zip.  This file is necessary to install
echo Winchest.
echo;
goto end

:needfile
echo;
echo Couldn't locate pack & unpack utilities??  These files
echo must exist in the directory in order for this batch file
echo to work properly!!
goto end

:needpk
echo;
echo Couldn't locate PKUNZIP.exe.  This file is necessary to install 
echo Winchest.
goto end

:execute
Cls
echo.
echo Moving Bristol.dat and lp files to new directory
copy ..\Bristol\*.lp .
copy ..\Bristol\*.st* .
copy ..\Bristol\Bristol.dat .
echo.
echo Unpacking the Bristol.dat file...
echo;
unpack.exe Bristol.dat
del Bristol.dat
ren Bristol.scr Winchest.scr
ren Bristol.cam Winchest.cam
ren Bristol.trk Winchest.trk
del *.stg
del *.st1
del *.3do
del *.stp
del *.mip
del *.str
del *.pmp
del *.pcx
del Bristol.3do
del Bristol.pck
del sky.3do
del horiz.3do
pkunzip.exe files.zip
pack.exe Winchest.pck
rem
echo;
echo;
goto cleanup

:cleanup
rem
echo;
echo Deleting stray files...
echo;
rem
del *.str
del *.mip
del *.trk
del *.scr
del *.pmp
del *.stp
del *.3do
del *.cam
del *.pck
del *.exe
del *.zip
del *.pcx
goto finished 

:finished
cls
echo;
echo;
echo;
echo;
echo   *****************************************
echo   *              Winchester               *
echo   *                                       *
echo   *             was created by            *
echo   *                                       *
echo   *              TONY KRIST               *
echo   *          krist@teleport.com           *
echo   *                                       *
echo   *****************************************
echo;
echo;
goto end

:end
del Winchest.bat